<?php
/*---------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: avatar_studio.php (Avatar Studio v2.01)
| Author: Terry Broullette (GRIMLOCH)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."avatar_studio/infusion_db.php";
//if (!iMEMBER){ redirect("../../error.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."avatar_studio/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."avatar_studio/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."avatar_studio/locale/English.php";
}

define('AVATAR_FOLDER', IMAGES . 'avatars/avatar_studio/');
include INFUSIONS."avatar_studio/avatar_studio_functions_inc.php";

opentable($locale['AST_001']);

if(isset($_POST['avatar_save']))
{
    echo SaveAvatar();
}
else
{
    echo "<form action='".FUSION_SELF."' method='post'>";
    echo "<table width='100%' cellpadding='2' cellspacing='0' class='tbl-border'>\n";
    echo "<tr>";
    echo "<td class='row2'><b>".$locale['AST_002']."</b></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='row2' align='center' valign='middle' height='28'>";

    $avatar_studios = LoadAvatarCategories();
    if(is_array($avatar_studios))
    {
        echo "<span class='lrg-txt'>".$locale['AST_003']."&nbsp;\n<select name='avatar_studio'>\n";

        foreach($avatar_studios as $studio)
        {
            $selected = ( isset($_POST['avatar_studio']) && $_POST['avatar_studio'] == $studio ) ? 'selected="selected"' : '';

            echo "<option value='$studio'$selected>$studio</option>\n";
        }
        echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;<input type='submit' class='button' value='".$locale['AST_008']."' />";
		echo "</span><hr class='mid-hr' />\n</td>\n</tr>\n<tr>\n";
        echo "<td width='100%'>\n";

//new table for dynamic column change
            echo "<table width='100%' cellpadding='4' cellspacing='2'>\n";

        
        $avatar_studio = (isset($_POST['avatar_studio'])) ? $_POST['avatar_studio'] : $avatar_studios[0];
        $avatar_images = loadAvatarImages($avatar_studio);

        if(is_array($avatar_images) && count($avatar_images) > 0)
        {
            $i = 1;
            $avatar_cols = 5;
            $avatar_rows = array_chunk($avatar_images, $avatar_cols);

            foreach($avatar_rows as $avatar_images)
            {
                echo "<tr>\n";

                $i = 0;
                foreach($avatar_images as $avatar_filename)
                {
                $image = AVATAR_FOLDER . $avatar_studio . '/' .  $avatar_filename;
                $name = array_shift(explode('.', $avatar_filename));

                echo "<td class='row1' align='center'>\n".
                "<img src='$image' alt='$name' title='$avatar_filename' /><br />\n".
                "<input type='radio' class='row2' name='avatar_select' value='$avatar_filename' />\n".
                "</td>\n";
                $i++;
            }
            if($i < $avatar_cols)
            {
                echo '<td colspan="'. ($avatar_cols - $i) ."\"></td>\n";
            }
            echo "</tr>\n";
        }
            echo "</table>\n</td>\n</tr>\n";
//end new table

           echo "<tr>\n<td class='row2' align='center'>\n".
             "<input type='submit' name='avatar_save' value='".$locale['AST_006']."' class='button' />\n".
             "</td>\n</tr>\n";
        }
        else
        {
            echo "<td class='row1' align='center'><span style=\"color:red;font-weight:bold\">".$locale['AST_009']."</span></td>\n</tr>\n";
        }
    }
    else
    {
        echo "<td class='row1' align='center'><span style=\"color:red;font-weight:bold\">".$locale['AST_010']."</span></td>\n</tr>\n";
    }
    
    echo "</table>\n</form>";
      }
      
closetable();

require_once THEMES."templates/footer.php";
?>